Update Connection

Update a connection's name or description

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_name_or_idstringRequired
The connection name or UUID

Request

This endpoint expects an object.
namestringRequiredformat: "^[a-z0-9][a-z0-9_]+[a-z0-9]"3-255 characters
The new connection name
descriptionstring or nullOptional
The new connection description

Response

Successful Response
connection_idstringformat: "uuid"
The unique identifier for the connection
namestringformat: "^[a-z0-9][a-z0-9_]+[a-z0-9]"3-255 characters
The connection name
typeenum
The type of connection
statusenum
The current status of the connection
configobject
The connection configuration
created_dtstringformat: "date-time"
When the connection was created
updated_dtstringformat: "date-time"
When the connection was last updated
descriptionstring or null
The connection description

Errors

422
Unprocessable Entity Error